import java.io.*;
import java.math.*;
import java.util.*;

public class TestsGen {

    int testCount;

    void write(String s) throws IOException {
        PrintWriter pw = new PrintWriter(String.format("../tests/%02d", ++testCount));
        System.out.println(testCount);
        pw.println(s);
        pw.close();
    }
    
    void write(int n) throws IOException {
        write(Integer.toString(n));
    }

    Random random = new Random(43534543);

    void run() throws IOException {
        new File("../tests").mkdir();
        
		write(1);
		write(3);
		write(2);
        for (int i = 4; i <= 10; i++) write(i);

        boolean was[] = new boolean[101];
        int ans[] = new int[10];
        for (int i = 0; i < 10; i++) {
            while (true) {
                int x = random.nextInt(70) + 11;
                if (was[x]) {
                    continue;
                }
                was[x] = true;
                ans[i] = x;
                break;
            }
        }
        Arrays.sort(ans);
        for (int i = 0; i < 10; i++) {
            write(ans[i]);
        }
        for (int i = 100 - 20 + 1; i <= 100; i++) write(i);
    }

    public static void main(String[] args) throws IOException {
        new TestsGen().run();
    }

}
